Loading...
Searching...
No Matches
DRTContextGroupIdentificationSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTContextGroupIdentificationSequence::Item:

## Public Member Functions

| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getContextGroupVersion (OFString &value, const signed long pos=0) const
| get ContextGroupVersion (0008,0106)
OFCondition | getContextIdentifier (OFString &value, const signed long pos=0) const
| get ContextIdentifier (0008,010f)
OFCondition | getContextUID (OFString &value, const signed long pos=0) const
| get ContextUID (0008,0117)
OFCondition | getMappingResource (OFString &value, const signed long pos=0) const
| get MappingResource (0008,0105)
OFCondition | setContextGroupVersion (const OFString &value, const OFBool check=OFTrue)
| set ContextGroupVersion (0008,0106)
OFCondition | setContextIdentifier (const OFString &value, const OFBool check=OFTrue)
| set ContextIdentifier (0008,010f)
OFCondition | setContextUID (const OFString &value, const OFBool check=OFTrue)
| set ContextUID (0008,0117)
OFCondition | setMappingResource (const OFString &value, const OFBool check=OFTrue)
| set MappingResource (0008,0105)

## Private Attributes

OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDateTime | ContextGroupVersion
| ContextGroupVersion (0008,0106) vr=DT, vm=1, type=1.
DcmCodeString | ContextIdentifier
| ContextIdentifier (0008,010f) vr=CS, vm=1, type=1.
DcmUniqueIdentifier | ContextUID
| ContextUID (0008,0117) vr=UI, vm=1, type=3.
DcmCodeString | MappingResource
| MappingResource (0008,0105) vr=CS, vm=1, type=1.

## Additional Inherited Members

Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## Item() [1/2]

DRTContextGroupIdentificationSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## Item() [2/2]

DRTContextGroupIdentificationSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## getContextGroupVersion()

OFCondition DRTContextGroupIdentificationSequence::Item::getContextGroupVersion | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContextGroupVersion (0008,0106)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getContextIdentifier()

OFCondition DRTContextGroupIdentificationSequence::Item::getContextIdentifier | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContextIdentifier (0008,010f)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getContextUID()

OFCondition DRTContextGroupIdentificationSequence::Item::getContextUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContextUID (0008,0117)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## getMappingResource()

OFCondition DRTContextGroupIdentificationSequence::Item::getMappingResource | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get MappingResource (0008,0105)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## isEmpty()

OFBool DRTContextGroupIdentificationSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## isValid()

OFBool DRTContextGroupIdentificationSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## operator=()

Item & DRTContextGroupIdentificationSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## read()

OFCondition DRTContextGroupIdentificationSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## setContextGroupVersion()

OFCondition DRTContextGroupIdentificationSequence::Item::setContextGroupVersion | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContextGroupVersion (0008,0106)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setContextIdentifier()

OFCondition DRTContextGroupIdentificationSequence::Item::setContextIdentifier | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContextIdentifier (0008,010f)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setContextUID()

OFCondition DRTContextGroupIdentificationSequence::Item::setContextUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContextUID (0008,0117)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## setMappingResource()

OFCondition DRTContextGroupIdentificationSequence::Item::setMappingResource | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set MappingResource (0008,0105)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## write()

OFCondition DRTContextGroupIdentificationSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtcgis.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0